- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - new
  - code
  - xstype
  - cleaned_code
- SEE ALSO
- AUTHOR
- COPYRIGHT & LICENSE

# NAME

ExtUtils::Typemaps::InputMap - Entry in the INPUT section of a typemap

# SYNOPSIS

      use ExtUtils::Typemaps;
      ...
      my $input = $typemap->get_input_map('T_NV');
      my $code = $input->code();
      $input->code("...");

# DESCRIPTION

Refer to ExtUtils::Typemaps for details.

# METHODS

## new

Requires `xstype` and `code` parameters.

## code

Returns or sets the INPUT mapping code for this entry.

## xstype

Returns the name of the XS type of the INPUT map.

## cleaned_code

Returns a cleaned-up copy of the code to which certain transformations have been applied to make it more ANSI compliant.

# SEE ALSO

ExtUtils::Typemaps

# AUTHOR

Steffen Mueller `<smueller@cpan.org`>

# COPYRIGHT & LICENSE

Copyright 2009, 2010, 2011, 2012 Steffen Mueller

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.